CREATE TABLE egp_item_classes_b (
    ITEM_CLASS_ID                 NUMBER(18, 0) ,
    ITEM_CLASS_TYPE               VARCHAR2(120) ,
    ITEM_CLASS_CODE               VARCHAR2(3200)    NOT NULL,
    NIR_REQD                      VARCHAR2(4)   ,
    ENABLED_FLAG                  VARCHAR2(4)   ,
    NIR_CHANGE_TYPE_ID            NUMBER(18, 0) ,
    VERSION_ENABLED_FLAG          VARCHAR2(4)       NOT NULL,
    ITEM_CREATION_ALLOWED_FLAG    VARCHAR2(4)       NOT NULL,
    PARENT_ITEM_CLASS_ID          NUMBER(18, 0)     NOT NULL,
    ITEM_NUM_GEN_METHOD           VARCHAR2(120) ,
    ITEM_DESC_GEN_METHOD          VARCHAR2(120) ,
    CFG_ITEM_NUM_GEN_METHOD       VARCHAR2(120) ,
    CHANGE_ORDER_TYPE_ID          NUMBER(18, 0) ,
    DEFAULT_ITEM_CLASS_FLAG       VARCHAR2(4)   ,
    ATTRIBUTE_CATEGORY            VARCHAR2(120) ,
    ATTRIBUTE1                    VARCHAR2(600) ,
    ATTRIBUTE2                    VARCHAR2(600) ,
    ATTRIBUTE3                    VARCHAR2(600) ,
    ATTRIBUTE4                    VARCHAR2(600) ,
    ATTRIBUTE5                    VARCHAR2(600) ,
    ATTRIBUTE6                    VARCHAR2(600) ,
    ATTRIBUTE7                    VARCHAR2(600) ,
    ATTRIBUTE8                    VARCHAR2(600) ,
    ATTRIBUTE9                    VARCHAR2(600) ,
    ATTRIBUTE10                   VARCHAR2(600) ,
    ATTRIBUTE11                   VARCHAR2(600) ,
    ATTRIBUTE12                   VARCHAR2(600) ,
    ATTRIBUTE13                   VARCHAR2(600) ,
    ATTRIBUTE14                   VARCHAR2(600) ,
    ATTRIBUTE15                   VARCHAR2(600) ,
    ATTRIBUTE16                   VARCHAR2(600) ,
    ATTRIBUTE17                   VARCHAR2(600) ,
    ATTRIBUTE18                   VARCHAR2(600) ,
    ATTRIBUTE19                   VARCHAR2(600) ,
    ATTRIBUTE20                   VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1             NUMBER        ,
    ATTRIBUTE_NUMBER2             NUMBER        ,
    ATTRIBUTE_NUMBER3             NUMBER        ,
    ATTRIBUTE_NUMBER4             NUMBER        ,
    ATTRIBUTE_NUMBER5             NUMBER        ,
    ATTRIBUTE_NUMBER6             NUMBER        ,
    ATTRIBUTE_NUMBER7             NUMBER        ,
    ATTRIBUTE_NUMBER8             NUMBER        ,
    ATTRIBUTE_NUMBER9             NUMBER        ,
    ATTRIBUTE_NUMBER10            NUMBER        ,
    ATTRIBUTE_DATE1               DATE          ,
    ATTRIBUTE_DATE2               DATE          ,
    ATTRIBUTE_DATE3               DATE          ,
    ATTRIBUTE_DATE4               DATE          ,
    ATTRIBUTE_DATE5               DATE          ,
    ATTRIBUTE_TIMESTAMP1          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5          TIMESTAMP(6)  ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    REQUEST_ID                    NUMBER(18, 0) ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    SEED_DATA_SOURCE              VARCHAR2(2048),
    PUBLIC_FLAG                   VARCHAR2(4)   ,
    MATCHING_SETUP_DATA_1         VARCHAR2(4000),
    MATCHING_SETUP_DATA_2         VARCHAR2(4000),
    SEMANTIC_REGEN_REQUEST_ID     NUMBER(18, 0) ,
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    ITEM_CLASS_ID                 NUMBER(18, 0) ,
    ITEM_CLASS_CODE               VARCHAR2(3200)    NOT NULL,
    DISABLE_DATE                  DATE          ,
    NIR_REQD                      VARCHAR2(4)   ,
    NIR_CHANGE_TYPE_ID            NUMBER(18, 0) ,
    VERSION_ENABLED_FLAG          VARCHAR2(4)       NOT NULL,
    ITEM_CREATION_ALLOWED_FLAG    VARCHAR2(4)       NOT NULL,
    PARENT_ITEM_CLASS_ID          NUMBER(18, 0)     NOT NULL,
    ITEM_NUM_GEN_METHOD           VARCHAR2(120) ,
    ITEM_DESC_GEN_METHOD          VARCHAR2(120) ,
    CHANGE_ORDER_TYPE_ID          NUMBER(18, 0) ,
    DEFAULT_ITEM_CLASS_FLAG       VARCHAR2(4)   ,
    ATTRIBUTE_CATEGORY            VARCHAR2(120) ,
    ATTRIBUTE1                    VARCHAR2(600) ,
    ATTRIBUTE2                    VARCHAR2(600) ,
    ATTRIBUTE3                    VARCHAR2(600) ,
    ATTRIBUTE4                    VARCHAR2(600) ,
    ATTRIBUTE5                    VARCHAR2(600) ,
    ATTRIBUTE6                    VARCHAR2(600) ,
    ATTRIBUTE7                    VARCHAR2(600) ,
    ATTRIBUTE8                    VARCHAR2(600) ,
    ATTRIBUTE9                    VARCHAR2(600) ,
    ATTRIBUTE10                   VARCHAR2(600) ,
    ATTRIBUTE11                   VARCHAR2(600) ,
    ATTRIBUTE12                   VARCHAR2(600) ,
    ATTRIBUTE13                   VARCHAR2(600) ,
    ATTRIBUTE14                   VARCHAR2(600) ,
    ATTRIBUTE15                   VARCHAR2(600) ,
    ATTRIBUTE16                   VARCHAR2(600) ,
    ATTRIBUTE17                   VARCHAR2(600) ,
    ATTRIBUTE18                   VARCHAR2(600) ,
    ATTRIBUTE19                   VARCHAR2(600) ,
    ATTRIBUTE20                   VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1             NUMBER        ,
    ATTRIBUTE_NUMBER2             NUMBER        ,
    ATTRIBUTE_NUMBER3             NUMBER        ,
    ATTRIBUTE_NUMBER4             NUMBER        ,
    ATTRIBUTE_NUMBER5             NUMBER        ,
    ATTRIBUTE_NUMBER6             NUMBER        ,
    ATTRIBUTE_NUMBER7             NUMBER        ,
    ATTRIBUTE_NUMBER8             NUMBER        ,
    ATTRIBUTE_NUMBER9             NUMBER        ,
    ATTRIBUTE_NUMBER10            NUMBER        ,
    ATTRIBUTE_DATE1               DATE          ,
    ATTRIBUTE_DATE2               DATE          ,
    ATTRIBUTE_DATE3               DATE          ,
    ATTRIBUTE_DATE4               DATE          ,
    ATTRIBUTE_DATE5               DATE          ,
    ATTRIBUTE_TIMESTAMP1          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5          TIMESTAMP(6)  ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    REQUEST_ID                    NUMBER(18, 0) ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    ENABLED_FLAG                  VARCHAR2(4)   ,
    CFG_ITEM_NUM_GEN_METHOD       VARCHAR2(120) ,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    PUBLIC_FLAG                   VARCHAR2(4)   ,
    ITEM_CLASS_TYPE               VARCHAR2(120) ,
    MATCHING_SETUP_DATA_1         VARCHAR2(4000),
    MATCHING_SETUP_DATA_2         VARCHAR2(4000),
    SEMANTIC_REGEN_REQUEST_ID     NUMBER(18, 0) ,
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_egp_item_classes_b PRIMARY KEY (ITEM_CLASS_ID, ITEM_CLASS_ID)
);
